The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Check if Failover is Enabled on the Stack

Prev Next

This URL allows you to check if failover is enabled on the stack.

Resource URL

sensorstack/foenable/suricata_stack

Request Parameters

None

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

success

Displays the success status

Boolean

msg

Displays the message

Boolean

errMsg

Displays the error message

Boolean

data

An object that contains the details of the field

Object

errorCode

Error code

Number

Details of data:

Field Name

Description

Data Type

foEnable

Displays the status of FO

Boolean

Example

Request

GET https://<IPSM_IP>/sdkapi/sensorstack/foenable/suricata_stack

Response

{
    "success": true,
    "msg": null,
    "errMsg": null,
    "data": {
         "foEnable": false 
    } 
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues